org.apache.cassandra.cql3

## Class WhereClause

- java.lang.Object
- - org.apache.cassandra.cql3.WhereClause

-     public final class WhereClause
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WhereClause.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<CustomIndexExpression>` | `expressions`
    `java.util.List<Relation>` | `relations`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsCustomExpressions()`
    `WhereClause` | `copy(java.util.List<Relation> newRelations)`
    `static WhereClause` | `empty()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### relations

          public final java.util.List<Relation> relations

    - #### expressions

          public final java.util.List<CustomIndexExpression> expressions

  - ### Method Detail

    - #### empty

          public static WhereClause empty()

    - #### copy

          public WhereClause copy(java.util.List<Relation> newRelations)

    - #### containsCustomExpressions

          public boolean containsCustomExpressions()

Copyright © 2018 The Apache Software Foundation